<?php
/**
 * @package    jusermanager
 * @subpackage H:
 * @author     amirrezatehrani - 09123025356 {@link joomina.ir}
 * @author     Created on 29-Jul-2013
 * @license    GNU/GPL
 */

//-- No direct access
defined('_JEXEC') || die('=;)');


//-- Import the class JModelList
jimport('joomla.application.component.modellist');

/**
 * jusermanagerList Model.
 *
 * @package jusermanager
 * @subpackage Models
 */
class jusermanagerModeljusermanagerList extends JModelList
{
    /**
     * Method to build an SQL query to load the list data.
     * Funktion um einen SQL Query zu erstellen der die Daten für die Liste läd.
     *
     * @return string SQL query
     */
	 public function __construct($config = array())
	{
		if (empty($config['filter_fields'])) {
			$config['filter_fields'] = array(
				'userid','invitecount'
				
			);
		}

		parent::__construct($config);
	}

    protected function getListQuery()
    {
        // Ein Datenbankobjekt beziehen.
        $db = JFactory::getDBO();
        // Ein neues (leeres) Queryobjekt beziehen.
        $query = $db->getQuery(true);
        $query->from('#__jusermanager ');
         $query->select('*');
		 $search = $this->getState('filter.search');

		$db = $this->getDbo();

		if (!empty($search)) {
			$search = '%' . $db->getEscaped($search, true) . '%';

			$field_searches =
				"(userid LIKE '{$search}' OR " .
				"invitecount LIKE '{$search}')";

			$query->where($field_searches);
		}
		 // Column ordering
		$orderCol = $this->getState('list.ordering');
		$orderDirn = $this->getState('list.direction');

		if ($orderCol != '') {
			$query->order($db->getEscaped($orderCol.' '.$orderDirn));
		}

        return $query;
    }//function
		protected function populateState($ordering = null, $direction = null)
	{
		$search = $this->getUserStateFromRequest($this->context.'.filter.search', 'filter_search');
		$this->setState('filter.search', $search);

		$published = $this->getUserStateFromRequest($this->context.'.filter.published', 'filter_published');
		$this->setState('filter.published', $published);

		parent::populateState($ordering, $direction);
	}
}//class
