<?php
/**
 * @package    jusermanager
 * @subpackage H:
 * @author     amirrezatehrani - 09123025356 {@link joomina.ir}
 * @author     Created on 29-Jul-2013
 * @license    GNU/GPL
 */

//-- No direct access
defined('_JEXEC') || die('=;)');


jimport('joomla.application.component.view');

/**
 * HTML View class for the jusermanager Component.
 *
 * @package    jusermanager
 * @subpackage Views
 */
class jusermanagerViewjusermanagerList extends JView
{
    /**
     * jusermanagerList view display method
     *
     * @param null $tpl
     *
     * @return void
     */
    public function display($tpl = null)
    {
        //-- Get data from the model
        $this->items = $this->get('Items');

        //-- Get a JPagination object
        $this->pagination = $this->get('Pagination');

        // Die Toolbar hinzufügen
        $this->addToolBar();

        // Auf Fehler prüfen
        $errors = $this->get('Errors');

        if(count($errors))
        {
            JFactory::getApplication()->enqueueMessage(implode('<br />', $errors), 'error');

            return;
        }

        // Das Template wird aufgerufen
        parent::display($tpl);

        // Set the document
        $this->setDocument();
    }//function

    /**
     * Setting the toolbar
     */
    protected function addToolBar()
    {
        JToolBarHelper::title(JText::_('COM_JUSERMANAGER_MANAGER_JUSERMANAGERLIST')
        , 'jusermanager');
		JToolBarHelper::preferences( 'com_jusermanager' );
        JToolBarHelper::addNew('jusermanager.add');
        JToolBarHelper::editList('jusermanager.edit');
        JToolBarHelper::deleteList('', 'jusermanagerlist.delete');

        // CSS class for the 48x48 toolbar icon
        JFactory::getDocument()->addStyleDeclaration(
       '.icon-48-jusermanager'
       .' {background-image: url(components/com_jusermanager/assets/images/com_jusermanager-48.png)}');
    }//function

    /**
     * Method to set up the document properties
     *
     * @return void
     */
    protected function setDocument()
    {
        JFactory::getDocument()->setTitle(JText::_('COM_JUSERMANAGER_JUSERMANAGER_ADMINISTRATION'));
    }//function
}//class
